import { HttpClient, EventDefinition, MaybeContext, BuildRESTFunction, BuildEventDefinition } from '@wix/sdk-types';
import { C as Comment, U as UpdateComment, M as ModerateDraftContentOptions, a as ModerateDraftContentResponse, b as CommentsQueryBuilder, c as MarkCommentResponse, d as UnmarkCommentResponse, H as HideCommentResponse, P as PublishCommentResponse, e as CountCommentsOptions, f as CountCommentsResponse, L as ListCommentsByResourceOptions, g as ListCommentsByResourceResponse, G as GetCommentThreadOptions, h as GetCommentThreadResponse, B as BulkPublishCommentOptions, i as BulkPublishCommentResponse, j as BulkHideCommentOptions, k as BulkHideCommentResponse, l as BulkDeleteCommentOptions, m as BulkDeleteCommentResponse, n as BulkModerateDraftContentOptions, o as BulkModerateDraftContentResponse, p as BulkMoveCommentByFilterOptions, q as BulkMoveCommentByFilterResponse, r as CommentContentChangedEnvelope, s as CommentHiddenEnvelope, t as CommentMarkedEnvelope, u as CommentMovedEnvelope, v as CommentPublishedEnvelope, w as CommentUnmarkedEnvelope, x as CommentCreatedEnvelope, y as CommentResourceCommentCountChangedEnvelope, z as CommentUpdatedEnvelope } from './comments-v2-comment-comments.universal-BVp9019z.mjs';
export { ac as Action, cU as ActionEvent, J as Alignment, bh as AnchorData, bn as AppEmbedData, bo as AppEmbedDataAppDataOneOf, a5 as AppType, bN as Attachment, bO as AttachmentMediaOneOf, bC as AudioData, b7 as Background, b8 as BackgroundBackgroundOneOf, a2 as BackgroundType, cY as BaseEventMetadata, bF as BlockquoteData, bp as BookingData, an as Border, bA as BorderColors, cJ as BulkDeleteCommentRequest, cI as BulkHideCommentRequest, cK as BulkModerateDraftContentRequest, cL as BulkMoveCommentByFilterRequest, cH as BulkPublishCommentRequest, bE as BulletedListData, am as ButtonData, bG as CaptionData, bz as CellStyle, ay as CodeBlockData, bv as CollapsibleListData, bi as ColorData, ao as Colors, bS as CommentAuthor, bT as CommentAuthorIdentityOneOf, ah as CommentContent, cf as CommentContentChanged, ci as CommentDeleted, cl as CommentHidden, cv as CommentMarked, c6 as CommentModerated, cN as CommentMoved, ck as CommentPublished, bW as CommentReactionSummary, cC as CommentSort, cx as CommentUnmarked, c_ as CommentsQueryResult, c8 as ContactDetails, bQ as ContentAuthor, bR as ContentAuthorAuthorOneOf, cA as CountCommentsRequest, c7 as CreateCommentRequest, c9 as CreateCommentResponse, Q as Crop, cq as CursorPaging, cs as CursorPagingMetadata, cn as CursorQuery, co as CursorQueryPagingMethodOneOf, ct as Cursors, bf as Decoration, bg as DecorationDataOneOf, a3 as DecorationType, c0 as DeleteByFilterOperation, b$ as DeleteByIdsOperation, cg as DeleteCommentRequest, ch as DeleteCommentResponse, bd as Design, cM as Destination, bx as Dimensions, a7 as Direction, aA as DividerData, bJ as DocumentStyle, cO as DomainEvent, cP as DomainEventBodyOneOf, bt as EmbedData, cQ as EntityCreatedEvent, cT as EntityDeletedEvent, cS as EntityUpdatedEvent, bq as EventData, cZ as EventMetadata, aB as FileData, aC as FileSource, aD as FileSourceDataOneOf, bl as FontSizeData, a4 as FontType, aQ as GIF, aP as GIFData, S as GIFType, aF as GalleryData, aL as GalleryOptions, cb as GetCommentRequest, cc as GetCommentResponse, cG as GetCommentThreadRequest, b6 as Gradient, aS as HTMLData, aT as HTMLDataDataOneOf, aR as HeadingData, at as Height, cy as HideCommentRequest, cW as IdentificationData, cX as IdentificationDataIdOneOf, aH as Image, aU as ImageData, aW as ImageDataStyles, a6 as InitialExpandedItems, bZ as InternalDocument, c1 as InternalDocumentUpdateByFilterOperation, b_ as InternalDocumentUpdateOperation, c2 as InternalUpdateExistingOperation, aJ as Item, aK as ItemDataOneOf, aN as ItemStyle, aM as Layout, bH as LayoutCellData, K as LayoutType, F as LineStyle, av as Link, bj as LinkData, aw as LinkDataOneOf, aX as LinkPreviewData, aY as LinkPreviewDataStyles, cE as ListCommentsByResourceCursorPaging, cB as ListCommentsByResourceRequest, bB as ListValue, aZ as MapData, a_ as MapSettings, Z as MapType, cu as MarkCommentRequest, aG as Media, bL as Mention, bk as MentionData, bM as MentionIdentityOneOf, cV as MessageEnvelope, bI as Metadata, cj as ModerateDraftContentRequest, aj as Node, ak as NodeDataOneOf, al as NodeStyle, N as NodeType, a9 as NullValue, bu as Oembed, b2 as Option, ba as OptionDesign, b5 as OptionLayout, ae as Order, bD as OrderedListData, O as Orientation, aE as PDFSettings, a$ as ParagraphData, bU as ParentComment, b1 as Permissions, bs as PlaybackOptions, ap as PluginContainerData, A as PluginContainerDataAlignment, aq as PluginContainerDataWidth, ar as PluginContainerDataWidthDataOneOf, bb as Poll, b0 as PollData, bc as PollDataLayout, b9 as PollDesign, b4 as PollLayout, a1 as PollLayoutDirection, a0 as PollLayoutType, Y as Position, cz as PublishCommentRequest, cm as QueryCommentsRequest, cr as QueryCommentsResponse, ax as Rel, cF as RepliesListResponse, cD as ReplySort, af as ReplySortOrder, ca as ResourceCommentCountChanged, cR as RestoreInfo, ai as RichContent, b3 as Settings, ad as SortOrder, cp as Sorting, X as Source, as as Spoiler, bm as SpoilerData, aa as Status, au as Styles, aV as StylesBorder, by as TableCellData, bw as TableData, D as Target, E as TextAlignment, be as TextData, bK as TextNodeStyle, az as TextStyle, aO as Thumbnails, R as ThumbnailsAlignment, T as Type, cw as UnmarkCommentRequest, cd as UpdateCommentRequest, ce as UpdateCommentResponse, bX as UpdateInternalDocumentsEvent, bY as UpdateInternalDocumentsEventOperationOneOf, c4 as VersionedDeleteByIdsOperation, c5 as VersionedDocumentId, c3 as VersionedDocumentUpdateOperation, ab as VersioningMode, a8 as VerticalAlignment, aI as Video, br as VideoData, bP as VideoResolution, V as ViewMode, _ as ViewRole, $ as VoteRole, bV as VoteSummary, ag as WebhookIdentityType, I as Width, W as WidthType } from './comments-v2-comment-comments.universal-BVp9019z.mjs';

declare function createComment$1(httpClient: HttpClient): CreateCommentSignature;
interface CreateCommentSignature {
    /**
     * Creates a new comment and publishes it.
     *
     * The `appId`, `contextId`, and `resourceId` are all required and associate the created comment with the specific
     * resource it responds to. See **Integrations** in the Comments introduction for a list of integrated scopes for these fields.
     *
     * If the created comment is a direct response to another comment, the `commentId` of the parent comment should be passed
     * as `parentComment.id` in this comment's request. See **Terminology** in the Comments introduction for additional information on parent comments and replies.
     * @param - Comment to create.
     * @returns Created comment.
     */
    (comment: Comment): Promise<Comment>;
}
declare function getComment$1(httpClient: HttpClient): GetCommentSignature;
interface GetCommentSignature {
    /**
     * Retrieves a comment.
     * @param - ID of the comment to retrieve.
     * @returns Retrieved comment.
     */
    (commentId: string): Promise<Comment>;
}
declare function updateComment$1(httpClient: HttpClient): UpdateCommentSignature;
interface UpdateCommentSignature {
    /**
     * Updates a comment.
     *
     * Each time the comment is updated, `revision` increments by 1. The current `revision` must be
     * passed when updating the comment. This ensures you're working with the latest comment and
     * prevents unintended overwrites.
     * @param - Comment ID.
     * @returns Updated comment.
     */
    (_id: string, comment: UpdateComment): Promise<Comment>;
}
declare function deleteComment$1(httpClient: HttpClient): DeleteCommentSignature;
interface DeleteCommentSignature {
    /**
     * Deletes a comment.
     *
     * This method deletes the `content` of the comment and sets its `status` to `DELETED`.
     * @param - ID of the comment to delete.
     */
    (commentId: string): Promise<void>;
}
declare function moderateDraftContent$1(httpClient: HttpClient): ModerateDraftContentSignature;
interface ModerateDraftContentSignature {
    /**
     * Moderates the draft content of a comment.
     *
     * - `APPROVE`: Moves `draftContent` to `content` and updates the comment `status` to `PUBLISHED`.
     * - `REJECT`: Clears `draftContent` if comment `status` is `PUBLISHED` or, if comment `status` is `PENDING` it will keep `draftContent` the same and change `status` to `HIDDEN`.
     * @param - ID of the comment to moderate.
     * @param - Revision number, which increments by `1` each time the comment is updated.
     *
     * To prevent conflicting changes, the current `revision` must be passed when updating the comment.
     */
    (commentId: string, revision: string, options?: ModerateDraftContentOptions | undefined): Promise<ModerateDraftContentResponse>;
}
declare function queryComments$1(httpClient: HttpClient): QueryCommentsSignature;
interface QueryCommentsSignature {
    /**
     * Creates a query to retrieve a list of comments.
     *
     * The `queryComments()` function builds a query to retrieve a list of comments and returns a [`CommentsQueryBuilder`](#commentsquerybuilder) object.
     *
     * The returned object contains the query definition, which is typically used to run the query using the [`find()`](#commentsquerybuilder/find) function.
     *
     * You can refine the query by chaining `CommentsQueryBuilder` functions onto the query. `CommentsQueryBuilder` functions enable you to sort, filter, and control the results that `queryComments()` returns.
     *
     * `queryComments()` runs with the following `CommentsQueryBuilder` default that you can override:
     * + `ascending("_id")`
     *
     * The functions that are chained to `queryComments()` are applied in the order they are called. For example, if you apply `ascending("voteSummary.netVoteCount")` and then `ascending("replyCount")`, the results are sorted first by the `"voteSummary.netVoteCount"`, and then, if there are multiple results with the same `"voteSummary.netVoteCount"`, the items are sorted by `"replyCount"`.
     *
     * The following `CommentsQueryBuilder` functions are supported for the `queryComments()` function. For a full description of the comment object, see the object returned for the [`items`](#commentsqueryresult/items) property in [`CommentsQueryResult`](#commentsqueryresult).
     * @param - App ID to query comments for.
     */
    (appId: string): CommentsQueryBuilder;
}
declare function markComment$1(httpClient: HttpClient): MarkCommentSignature;
interface MarkCommentSignature {
    /**
     * Sets `marked` to `TRUE` to mark a comment.
     *
     * Call Query Comments to filter for marked comments to then apply customization to.
     * See Sample Flows for an example.
     * @param - ID of the comment to mark.
     */
    (commentId: string): Promise<MarkCommentResponse>;
}
declare function unmarkComment$1(httpClient: HttpClient): UnmarkCommentSignature;
interface UnmarkCommentSignature {
    /**
     * Sets `marked` to `FALSE` to unmark a comment.
     * @param - ID of the comment to unmark.
     */
    (commentId: string): Promise<UnmarkCommentResponse>;
}
declare function hideComment$1(httpClient: HttpClient): HideCommentSignature;
interface HideCommentSignature {
    /**
     * Hides a comment in a widget. The comment status becomes `HIDDEN`.
     * @param - ID of the comment to hide.
     */
    (commentId: string): Promise<HideCommentResponse>;
}
declare function publishComment$1(httpClient: HttpClient): PublishCommentSignature;
interface PublishCommentSignature {
    /**
     * Publishes a comment with the `HIDDEN` status. The comment status becomes `PUBLISHED`.
     *
     * To publish a new comment, call Create Comment.
     * @param - ID of the comment to publish.
     */
    (commentId: string): Promise<PublishCommentResponse>;
}
declare function countComments$1(httpClient: HttpClient): CountCommentsSignature;
interface CountCommentsSignature {
    /**
     * Counts comments, given the specified filtering. Comments with the `HIDDEN` status are not included in the response.
     * @param - App ID to count the comments of.
     */
    (appId: string, options?: CountCommentsOptions | undefined): Promise<CountCommentsResponse>;
}
declare function listCommentsByResource$1(httpClient: HttpClient): ListCommentsByResourceSignature;
interface ListCommentsByResourceSignature {
    /**
     * Lists published comments and replies from a specified resource, such as a blog post.
     * @param - ID of the app from which the comments are listed.
     */
    (appId: string, options?: ListCommentsByResourceOptions | undefined): Promise<ListCommentsByResourceResponse>;
}
declare function getCommentThread$1(httpClient: HttpClient): GetCommentThreadSignature;
interface GetCommentThreadSignature {
    /**
     * Returns a thread of a comment or a reply.
     *
     * If you request a comment thread, the method returns a single comment with cursors. With cursors (`pagingMetadata.cursors.next` or `pagingMetadata.cursors.prev`) you can load replies by calling the List Comments by Resource method.
     *
     * If you request a reply thread, the method returns a reply with its parent comment. With cursors (`pagingMetadata.cursors.next` or `pagingMetadata.cursors.prev`) you can load replies by calling the List Comments by Resource method.
     * @param - Comment ID.
     */
    (commentId: string, options?: GetCommentThreadOptions | undefined): Promise<GetCommentThreadResponse>;
}
declare function bulkPublishComment$1(httpClient: HttpClient): BulkPublishCommentSignature;
interface BulkPublishCommentSignature {
    /**
     * Publishes multiple comments with the `HIDDEN` status. The comment status becomes `PUBLISHED`.
     * @param - ID of the app where to publish the comment.
     */
    (appId: string, options: BulkPublishCommentOptions): Promise<BulkPublishCommentResponse>;
}
declare function bulkHideComment$1(httpClient: HttpClient): BulkHideCommentSignature;
interface BulkHideCommentSignature {
    /**
     * Hides multiple comments. The comment status becomes `HIDDEN`.
     * @param - ID of the app where to hide the comments.
     */
    (appId: string, options: BulkHideCommentOptions): Promise<BulkHideCommentResponse>;
}
declare function bulkDeleteComment$1(httpClient: HttpClient): BulkDeleteCommentSignature;
interface BulkDeleteCommentSignature {
    /**
     * Deletes multiple comments.
     * @param - ID of the app where to delete the comments.
     */
    (appId: string, options: BulkDeleteCommentOptions): Promise<BulkDeleteCommentResponse>;
}
declare function bulkModerateDraftContent$1(httpClient: HttpClient): BulkModerateDraftContentSignature;
interface BulkModerateDraftContentSignature {
    /**
     * Moderates the draft content of multiple comments.
     * @param - ID of the app where to moderate the comments.
     */
    (appId: string, options: BulkModerateDraftContentOptions): Promise<BulkModerateDraftContentResponse>;
}
declare function bulkMoveCommentByFilter$1(httpClient: HttpClient): BulkMoveCommentByFilterSignature;
interface BulkMoveCommentByFilterSignature {
    /**
     * Moves multiple comments to another resource.
     * @param - ID of the app from which to move the comments.
     */
    (appId: string, options?: BulkMoveCommentByFilterOptions | undefined): Promise<BulkMoveCommentByFilterResponse>;
}
declare const onCommentContentChanged$1: EventDefinition<CommentContentChangedEnvelope, "wix.comments.v2.comment_comment_content_changed">;
declare const onCommentHidden$1: EventDefinition<CommentHiddenEnvelope, "wix.comments.v2.comment_comment_hidden">;
declare const onCommentMarked$1: EventDefinition<CommentMarkedEnvelope, "wix.comments.v2.comment_comment_marked">;
declare const onCommentMoved$1: EventDefinition<CommentMovedEnvelope, "wix.comments.v2.comment_comment_moved">;
declare const onCommentPublished$1: EventDefinition<CommentPublishedEnvelope, "wix.comments.v2.comment_comment_published">;
declare const onCommentUnmarked$1: EventDefinition<CommentUnmarkedEnvelope, "wix.comments.v2.comment_comment_unmarked">;
declare const onCommentCreated$1: EventDefinition<CommentCreatedEnvelope, "wix.comments.v2.comment_created">;
declare const onCommentResourceCommentCountChanged$1: EventDefinition<CommentResourceCommentCountChangedEnvelope, "wix.comments.v2.comment_resource_comment_count_changed">;
declare const onCommentUpdated$1: EventDefinition<CommentUpdatedEnvelope, "wix.comments.v2.comment_updated">;

declare const createComment: MaybeContext<BuildRESTFunction<typeof createComment$1> & typeof createComment$1>;
declare const getComment: MaybeContext<BuildRESTFunction<typeof getComment$1> & typeof getComment$1>;
declare const updateComment: MaybeContext<BuildRESTFunction<typeof updateComment$1> & typeof updateComment$1>;
declare const deleteComment: MaybeContext<BuildRESTFunction<typeof deleteComment$1> & typeof deleteComment$1>;
declare const moderateDraftContent: MaybeContext<BuildRESTFunction<typeof moderateDraftContent$1> & typeof moderateDraftContent$1>;
declare const queryComments: MaybeContext<BuildRESTFunction<typeof queryComments$1> & typeof queryComments$1>;
declare const markComment: MaybeContext<BuildRESTFunction<typeof markComment$1> & typeof markComment$1>;
declare const unmarkComment: MaybeContext<BuildRESTFunction<typeof unmarkComment$1> & typeof unmarkComment$1>;
declare const hideComment: MaybeContext<BuildRESTFunction<typeof hideComment$1> & typeof hideComment$1>;
declare const publishComment: MaybeContext<BuildRESTFunction<typeof publishComment$1> & typeof publishComment$1>;
declare const countComments: MaybeContext<BuildRESTFunction<typeof countComments$1> & typeof countComments$1>;
declare const listCommentsByResource: MaybeContext<BuildRESTFunction<typeof listCommentsByResource$1> & typeof listCommentsByResource$1>;
declare const getCommentThread: MaybeContext<BuildRESTFunction<typeof getCommentThread$1> & typeof getCommentThread$1>;
declare const bulkPublishComment: MaybeContext<BuildRESTFunction<typeof bulkPublishComment$1> & typeof bulkPublishComment$1>;
declare const bulkHideComment: MaybeContext<BuildRESTFunction<typeof bulkHideComment$1> & typeof bulkHideComment$1>;
declare const bulkDeleteComment: MaybeContext<BuildRESTFunction<typeof bulkDeleteComment$1> & typeof bulkDeleteComment$1>;
declare const bulkModerateDraftContent: MaybeContext<BuildRESTFunction<typeof bulkModerateDraftContent$1> & typeof bulkModerateDraftContent$1>;
declare const bulkMoveCommentByFilter: MaybeContext<BuildRESTFunction<typeof bulkMoveCommentByFilter$1> & typeof bulkMoveCommentByFilter$1>;
/**
 * Triggered when comment content is updated.
 */
declare const onCommentContentChanged: BuildEventDefinition<typeof onCommentContentChanged$1>;
/**
 * Triggered when a comment is hidden.
 */
declare const onCommentHidden: BuildEventDefinition<typeof onCommentHidden$1>;
/**
 * Triggered when a comment is marked.
 */
declare const onCommentMarked: BuildEventDefinition<typeof onCommentMarked$1>;
/**
 * Triggered when a comment is moved.
 */
declare const onCommentMoved: BuildEventDefinition<typeof onCommentMoved$1>;
/**
 * Triggered when a comment is published.
 */
declare const onCommentPublished: BuildEventDefinition<typeof onCommentPublished$1>;
/**
 * Triggered when a comment is unmarked.
 */
declare const onCommentUnmarked: BuildEventDefinition<typeof onCommentUnmarked$1>;
/**
 * Triggered when a comment is created.
 */
declare const onCommentCreated: BuildEventDefinition<typeof onCommentCreated$1>;
/**
 * Triggered when the total number of comments has changed in a resource.
 */
declare const onCommentResourceCommentCountChanged: BuildEventDefinition<typeof onCommentResourceCommentCountChanged$1>;
/**
 * Triggered when a comment is updated.
 */
declare const onCommentUpdated: BuildEventDefinition<typeof onCommentUpdated$1>;

export { BulkDeleteCommentOptions, BulkDeleteCommentResponse, BulkHideCommentOptions, BulkHideCommentResponse, BulkModerateDraftContentOptions, BulkModerateDraftContentResponse, BulkMoveCommentByFilterOptions, BulkMoveCommentByFilterResponse, BulkPublishCommentOptions, BulkPublishCommentResponse, Comment, CommentContentChangedEnvelope, CommentCreatedEnvelope, CommentHiddenEnvelope, CommentMarkedEnvelope, CommentMovedEnvelope, CommentPublishedEnvelope, CommentResourceCommentCountChangedEnvelope, CommentUnmarkedEnvelope, CommentUpdatedEnvelope, CommentsQueryBuilder, CountCommentsOptions, CountCommentsResponse, GetCommentThreadOptions, GetCommentThreadResponse, HideCommentResponse, ListCommentsByResourceOptions, ListCommentsByResourceResponse, MarkCommentResponse, ModerateDraftContentOptions, ModerateDraftContentResponse, PublishCommentResponse, UnmarkCommentResponse, UpdateComment, bulkDeleteComment, bulkHideComment, bulkModerateDraftContent, bulkMoveCommentByFilter, bulkPublishComment, countComments, createComment, deleteComment, getComment, getCommentThread, hideComment, listCommentsByResource, markComment, moderateDraftContent, onCommentContentChanged, onCommentCreated, onCommentHidden, onCommentMarked, onCommentMoved, onCommentPublished, onCommentResourceCommentCountChanged, onCommentUnmarked, onCommentUpdated, publishComment, queryComments, unmarkComment, updateComment };
